<div>
    <form nz-form [formGroup]="form" style="margin-top: 20px">
        <div nz-row [nzGutter]="[30,30]">

            <!-- Loại yêu cầu -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-select
                    [mbDataSelects]="requestTypes"
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.requestType' | translate"
                    mbPlaceholder="{{'personalTax.salaryAccountReqs.label.requestType' | translate}}"
                    [formControlName]="'requestType'"
                ></mb-select>
            </div>
            <!--End: Loại yêu cầu -->

            <!-- Đơn vị -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <org-data-picker
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.org' | translate"
                    [formControlName]="'organizationId'"
                    mbPlacholder="{{'personalTax.salaryAccountReqs.label.orgSearch' | translate}}"
                    [functionCode]="functionCodeOrg"
                    [scope]="scope"
                >
                </org-data-picker>
            </div>
            <!--End: Đơn vị -->

            <!-- Mã nhân viên -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-input-text
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.employeeCode' | translate"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.employeeCode' | translate}}"
                    [formControlName]="'employeeCode'"
                    [mbMaxLength]='200'
                ></mb-input-text>
            </div>
            <!--End: Mã nhân viên -->

            <!-- Tên nhân viên -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-input-text
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.fullName' | translate"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.fullName' | translate}}"
                    [formControlName]="'fullName'"
                    [mbMaxLength]='200'
                ></mb-input-text>
            </div>
            <!--End: Tên nhân viên -->

            <!-- Số CCCD -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-input-text
                    appNumberInput
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.personalIdNo' | translate"
                    mbPlaceholderText="{{'personalTax.salaryAccountReqs.label.personalIdNo' | translate}}"
                    [formControlName]="'personalIdNo'"
                ></mb-input-text>
            </div>
            <!--End: Số CCCD -->

            <!-- Trạng thái -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-select-check-able
                    [mbShowAction]="false"
                    [mbDataSelects]="registrationStatusData"
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.listRegistrationStatus' | translate"
                    mbPlaceholder="{{'personalTax.salaryAccountReqs.label.listRegistrationStatus' | translate}}"
                    [formControlName]="'listRegistrationStatus'"
                    (mbEventEmit)="setFormValue($event, 'listRegistrationStatus')"
                ></mb-select-check-able>
            </div>
            <!--End: Trạng thái -->


            <!-- Tìm kiem theo ngày tạo -->
            <!-- Từ ngày -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-date-picker
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.fromDate' | translate"
                    [formControlName]="'fromDate'"

                    [mbType]="(form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
                    [mbShowError]="(form.controls['fromDate'].errors || form.errors?.rangeDateError) !== null"
                    [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
                    [mbErrorDefs]="[{ errorName: 'rangeDateError', errorDescription: 'personalTax.validate.rangeDate.pareDate' | translate:{'fromDate': 'personalTax.salaryAccountReqs.label.fromDate' | translate, 'toDate': 'personalTax.salaryAccountReqs.label.toDate' | translate}}]"
                ></mb-date-picker>
            </div>
            <!--End: Từ ngày -->

            <!-- Đến ngày -->
            <div nz-col [nzXs]="8" [nzLg]="6">
                <mb-date-picker
                    [mbLabelText]="'personalTax.salaryAccountReqs.label.toDate' | translate"
                    [formControlName]="'toDate'"
                ></mb-date-picker>
            </div>
            <!--End: Đến ngày -->
            <!--End: Tìm kiem theo ngày tạo -->

        </div>

    </form>
</div>
